
              COPY2CD.EXE - Direct to CD File Copier


>>> PROGRAM DESCRIPTION <<<

    COPY2CD.EXE will copy the files from one or more directories on your
harddrive to a CD recorder (either "on the fly" or by building an ISO9660
image file first). The disc is written using track-at-once recording.

***********************************************************************

>>> COMMAND LINE USAGE <<<


Usage: COPY2CD <pathname or @listfile> [imagefile] [/ID=ha:id:lun]
         [/ARCHIVE] [/BATCH] [/BEEP] [/CACHE=n] [/CHARSET=type] [/EJECT]
         [/FILESYSTEM=type] [/FULLPATH] [/HIDDEN] [/IMPORT] [/JOLIET]
         [/LEVEL2] [/MODE2] [/NOCONFIRM] [/NOFINALIZE] [/NOUNDERRUN]
         [/NOVERSION] [/RECURSE] [/SESSION] [/SPEED=n] [/SYSTEM] [/TEST]
         [/VERIFY] [/VOLUME=label]
<hit any key to continue>
pathname    - Directory pathname to backup
@listfile   - File that contains a list of pathnames to backup
imagefile   - Image filename (optional)
/ARCHIVE    - Include "archive" files only
/ID         - ASPI ID of CD recorder (default is first found)
/BATCH      - Disable all logging messages
/BEEP       - Issue an audible 'beep' when recording has finished
/CACHE      - Cache size in megabytes (32-bit version only)
/CHARSET    - Name translation character set (ISO9660, DOS, or ASCII)
/EJECT      - Eject CD when recording has finished
/FILESYSTEM - CDROM filesystem type (ISO9660, UDFISO, or UDF)
/FULLPATH   - Preserve full directory pathnames
/HIDDEN     - Include "hidden" files
/IMPORT     - Import previous session from disc
/JOLIET     - Enable Joliet long filename support (32-bit version only)
/LEVEL2     - Enable ISO9660 Level 2 filenames (31 characters long)
/MODE2      - Write sectors in MODE2 format
/NOCONFIRM  - Disable all confirmation prompts
/NODOS      - Disable DOS filename compatibility
/NOFINALIZE - Disable session/disc finalization
/NOUNDERRUN - Enable buffer underrun protection (if supported by recorder)
/NOVERSION  - Disable filename version numbers
/RECURSE    - Recurse all subdirectories
/SESSION    - Open new session after finalizing current session
/SPEED=n    - Recording speed (default is maximum)
/SYSTEM     - Include "system" files
/TEST       - Enable test recording mode
/VERIFY     - Verify disc after recording
/VOLUME     - Volume label (maximum 32 characters)
e.g. COPY2CD C:\MYFILES\ /FILESYSTEM=UDF /JOLIET /TEST /ID=0:5:0
e.g. COPY2CD @DIRLIST.TXT TEST.ISO /IMPORT /RECURSE /VOLUME=MY_FILES


PATHNAME - The pathname must specify a directory, so it must end with
"\" (e.g. "C:\TEST\MYFILES\"). You can also specify a filename (@list)
which contains a list of pathnames to backup.

IMAGEFILE - Specifies an optional ISO9660 image file. If this parameter
is specified, then an image file will be created prior to any recording.
Otherwise, the disc will be recorded "on the fly".

/ID=ha:id:lun - Specifies the SCSI ID of the CD recorder.
  "ha"  = Host adpater number (usually zero)
  "id"  = SCSI ID number
  "lun" = Logical unit number (usually zero)

/BATCH - Disables all logging messages on the screen. This is useful
when running the program from a batch (.BAT) file.

/CACHE=n - Enables the high performance caching feature and sets the size
of the cache in megabytes. Recommended value is 2 to 16 megabytes. This
feature is only available in the 32-bit version.

/CHARSET - Specified the characters that are allowed in the ISO9660
filenames. The ISO9660 set only allows 0-9, A-Z, and underscores. The
DOS set allows the same characters that are allowed in MS-DOS filenames.
The ASCII set allows lowercase letters, but none of the special characters
(ASCII 128-255) that are supported by the DOS set. Invalid characters are
converted to underscores.

/IMPORT - Imports the previous session from the disc. This option allows
you to add new files to the disc and still be able to access all files
that were previously written. If you do not select this option, then all
files in the previous session will be inaccessible.

/JOLIET - Enables Joliet (long filename) support for 32-bit Windows.

/LEVEL2 - Enables ISO9660 filenames with a maximum length of 31 characters.
The default is Level 1, which only allows filenames in the "8.3" format
NOTE: Level 2 filenames may not be compatible with some operating systems.

/MODE2 - Writes the disc in MODE2 format.

/NOCONFIRM - Disables all confirmation prompts on the screen.

/NOFINALIZE - Disables disc finalization (writing of leadin/leadout
tracks). This allows more tracks to be addded to the current session.
The disc will not be readable on a regular CDROM reader until it is
finalized.

/NOUNDERRUN - Enables the buffer underrun protection feature (BurnProof,
JustLink, etc.) in the CD recorder (if supported).

/RECURSE - Causes MAKEISO to recurse all subdirectories. Otherwise,
only files in the specified directory are processed.

/SESSION - This will cause a new session to be opened on the disc
after the current session is finalized. This allows for the creation
of multisession discs.

/SPEED - Recording speed (the default is the maximum allowed by the
selected CD recorder).

/TEST - Enables test recording mode (the disc is not written to).

/VERIFY - Verify the disc after it has been recorded.

/VOLUME - The first 11 characters of the volume label will be returned
as the disc's volume label from all DOS/Windows utilities.

/ARCHIVE - Processes only files with the "archive" attribute set.

/HIDDEN - Processes all directories and files with the "hidden"
attribute set. These are ignored by default.

/SYSTEM - Processes all directories and files with the "system"
attribute set. These are ignored by default.

**********************************************************************

Please send all suggestions, comments, and bug reports to...

Golden Hawk Technology
909 Columbia Circle
Merrimack, NH 03054

Phone: 603-429-1008
FAX  : 603-429-0073

URL  : http://www.goldenhawk.com
EMAIL: support@goldenhawk.com

**********************************************************************

Updated on OCTOBER 5, 2004

